/* Test file */

#pragma C+
#define __TEXT_SP
#define __ERROR_BR
#define __DEBUG

#include <adv.t>
#include <std.t>

startroom: room
  sdesc = "\(Some Room\)"
  ldesc = "Some descriptive text. "
  south = secondroom
;

secondroom: room
  sdesc = "\(Some Other Room\)"
  ldesc = "Some more descriptive text. The other
          room is north from here, by the way. "
  north = startroom
;

class FixedFloater: floatingItem, fixedItem
  isAbsent = nil
  locationList = []
  floatTo = {
    if (find(locationList, parserGetMe().location)) {
      if (self.isAbsent != nil) {
        self.moveInto(parserGetMe().location);
      }
    }
  }
;

fart: FixedFloater
  noun = 'fart' 'gas' 'wind'
  sdesc = "weird-smelling fart"
  ldesc = "Colorless, shapeless, but not odorless. "
  locationList = [startroom secondroom]
;

replace init: function
{
  setdaemon(turncount, nil);                 // start the turn counter daemon
  parserGetMe().location = startroom;     // move player to initial location
  startroom.lookAround(true);                      // show player where he is
  startroom.isseen = true;                  // note that we've seen the room
  scoreStatus(0, 0);                          // initialize the score display
}
